> ## Documentation Index
> Fetch the complete documentation index at: https://docs.visotrust.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1directorysearch



## OpenAPI

````yaml https://app.visotrust.com/v1/api-docs get /api/v1/directory/search
openapi: 3.1.0
info:
  title: VISO TRUST API Documentation
  description: VISO TRUST
  version: v1.0
servers:
  - url: https://app.visotrust.com
    description: Generated server url
security: []
externalDocs:
  description: VISO TRUST Support Documentation
  url: https://docs.visotrust.com/
paths:
  /api/v1/directory/search:
    get:
      tags:
        - client-api-vendor-directory-rest-resource
      operationId: getVendorDirectoryByDomainOrUrl
      parameters:
        - name: urlOrDomain
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VendorDirectoryView'
components:
  schemas:
    VendorDirectoryView:
      type: object
      properties:
        id:
          type: integer
          format: int64
        name:
          type: string
        homepage:
          type: string
        description:
          type: string
        faviconUrl:
          type: string
        domains:
          type: array
          items:
            type: string
          uniqueItems: true

````